<?php

/**
 * DomDNS : a DNS manager
 * @package domdns
 * @author Dominique Fournier <dominique@fournier38.fr>
 */

namespace Models;

use Domframework\Logger;
use Models\Configuration;

/** The logging model */
class Logging
{
    /** This function allow any number of parameters. The message variable can
        be in fact multiple variable of multiple types */
    public static function log($priority, $message)
    {
        $configuration = new Configuration();
        $conflogging = $configuration->get("logging");
        $logging = new Logger();
        $logging->logtype =        $conflogging["logtype"];
        $logging->logfile =        $conflogging["logfile"];
        $logging->timezone =       $conflogging["timezone"];
        $logging->loglevelmin =    $conflogging["loglevelmin"];
        $logging->syslogFacility = $conflogging["syslogFacility"];
        $logging->syslogPrefix =   $conflogging["syslogPrefix"];
        $logging->backTraceSkip = 2;
        $messages = func_get_args();
        return call_user_func_array(array($logging, "log"), $messages);
    }
}
