<?php

/**
 * DomDNS : a DNS manager
 * @package domdns
 * @author Dominique Fournier <dominique@fournier38.fr>
 */

namespace Models;

use Domframework\Dblayer;

/** All the methods to manage the user preferences */
class Userpref extends Dblayer
{
    /** The name of the table in the database */
    public $table = "userpref";
    /** The prefix defined in the configuration */
    public $tableprefix = "";

    /** The fields in the table with their specifications */
    public $fields = array(
    "id" => array("integer", "not null", "autoincrement"),
    "user" => array("varchar", "255", "not null"),
    "key" => array("varchar", "255", "not null"),
    "value" => array("varchar", "4096"),
    "lastread" => array("date", "not null"),
    "lastupdate" => array("date", "not null"),
    );

    /** The primary key of the table */
    public $primary = "id";
    /** The unique constrain of the table */
    public $unique = array("id", array("user", "key"));
}
