<?php

/**
 * DomDNS : a DNS manager
 * @package domdns
 * @author Dominique Fournier <dominique@fournier38.fr>
 */

namespace Modules\Authorization\Controllers;

use Domframework\Http;
use Domframework\Outputhtml;
use Domframework\Outputjson;
use Domframework\Route;

/** The renderer of module authorization */
class RendererAuthorization
{
    /** @param mixed $data The data to display.*/
    public static function html($viewclass, $viewmethod, $data)
    {
        $route = new Route();

        $html = new Outputhtml();
        $replacement = array("{baseurl}" => $route->baseURL(),
                          "{baseurlresource}" => $route->baseURLresource());

        echo $html->out(
            $data,
            false,
            $viewclass,
            $viewmethod,
            "Views/layout.html",
            $replacement,
            array(),
            "authorization"
        );
    }

    /** @param $data The data to display */
    public static function rest($data, $getCode = 200)
    {
        $http = new Http();
        @header($_SERVER["SERVER_PROTOCOL"] . " $getCode " .
             $http->codetext($getCode));
        $json = new Outputjson();
        echo $json->out($data);
    }
}
