$(document).ready(function()
{
  // Add a click handler to the rows
  $('#data tbody').on('click', 'tr', function ()
  {
    // The Delete button is available if there is a row selected
    // If a row is already selected and the user is select it again,
    // unselect the row and disable the Delete button
    if ($(this).hasClass('selected'))
    {
      $(this).removeClass('selected');
      $('#delete').addClass('disabled');
      $('#modify').addClass('disabled');
      $('#editrecords').addClass('disabled');
    }
    else
    {
      table.$('tr.selected').removeClass('selected');
      $(this).addClass('selected');
      $('#delete').removeClass('disabled');
      $('#modify').removeClass('disabled');
      $('#editrecords').removeClass('disabled');
    }
  });

  // Go to Records if double-click on zone/view name
  $('#data tbody').on('dblclick', 'tr', function ()
  {
    var selectedRows = table.rows(this).data();
    if (selectedRows.length !== 1)
    {
      console.log ("Can't edit more than one entry");
      return false;
    }
    var id = selectedRows[0][0];
    window.location=pageurl+'/'+id;
  });
 
  // Don't select the word when double-clicking
  var disable_triple_click = false;
  // set a global var to save the timestamp of the last mousedown
  var down = new Date().getTime();
  var old_down = down;
  $('#data tbody').on('mousedown', function (e)
  {
    var time = new Date().getTime();
    if ((time - down) < 500 &&
        (disable_triple_click || (down - old_down) > 500))
    {
      old_down = down;
      down = time;
      e.preventDefault (); // just in case
      return false; // mandatory
    }
    old_down = down;
    down = time;
  });

  // Add a click handler for the delete row
  $('#delete').click( function()
  {
    // Display the modal
    $('#modalConfirmAction').modal({show:true});
    return false;
  });

  // Remove really after validation on confirmation modal
  $('#btn-delete').click( function()
  {
    var selectedRows = table.rows($('tr.selected')).data();
    if (selectedRows.length !== 1)
    {
      console.log ("Can't delete more than one entry");
      return false;
    }
    $('#btn-delete').html ('<img src="'+baseurl+
      'public/ico/wait-transparent.gif" alt="'+pleaseWait+'"/>');

    var id = selectedRows[0][0];
    window.location=pageurl+'/'+id+'/delete/'+csrfToken;
  });

  // Add a click handler for the modify row
  $('#modify').click( function()
  {
    var selectedRows = table.rows($('tr.selected')).data();
    if (selectedRows.length !== 1)
    {
      console.log ("Can't delete more than one entry");
      return false;
    }
    var id = selectedRows[0][0];
    window.location=pageurl+'/'+id;
  });
});
