<?php

/**
 * DomDNS : a DNS manager
 * @package domdns
 * @author Dominique Fournier <dominique@fournier38.fr>
 */

namespace Views;

class Flash
{
    public static function call()
    {
        // Return a $dataflash with the displayed flash in Bootstrap
        $dataflash = "";
        if (isset($_SESSION["renderer"]["flash"])) {
            foreach ($_SESSION["renderer"]["flash"] as $flash) {
                $dataflash .= "<div class='alert ";
                switch ($flash[0]) {
                    case 4:
                        $dataflash .= "alert-danger";
                        $alert = _("Error!");
                        break;
                    case 3:
                        $dataflash .= "alert-warning";
                        $alert = _("Warning!");
                        break;
                    case 2:
                        $dataflash .= "alert-info";
                        $alert = _("Info :");
                        break;
                    case 1:
                        $dataflash .= "alert-success";
                        $alert = _("Success : ");
                        break;
                    default:
                        throw new \Exception("Flash::call invalid case '" . $flash[0] . "'", 500);
                }
                $dataflash .= " alert-dismissable'>\n";
                $dataflash .= "<button type='button' class='close' data-dismiss='alert'";
                $dataflash .= " aria-hidden='true'>&times;</button>\n";
                $dataflash .= "<strong>$alert</strong> " . $flash[1] . "\n";
                $dataflash .= "</div>\n";
            }

            unset($_SESSION["renderer"]["flash"]);
        }
        return $dataflash;
    }
}
