$(document).ready(function()
{
  table.on('select', function (e, dt, type, indexes )
  {
    buttonsState ();
  })
  .on('deselect', function ( e, dt, type, indexes ) {
    buttonsState ();
  });

  function buttonsState ()
  {
    var selected = table.rows($('tr.selected')).data();
    if (selected.length == 0)
      $('#delete').addClass('disabled');
    else
      $('#delete').removeClass('disabled');
    if (selected.length != 1)
      $('#modify').addClass('disabled');
    else
      $('#modify').removeClass('disabled');
  }

  // Go to Records if double-click on zone/view name
  $('#data tbody').on('dblclick', 'tr', function ()
  {
    var id = table.row(this).data()['id'];
    if (zone == ".") zone = "dot";
    if (viewname == ".") viewname = "dot";
    window.location=baseurl+'zone/'+zone+'/'+viewname+"/"+id;
  });

  // Don't select the word when double-clicking
  var disable_triple_click = false;
  // set a global var to save the timestamp of the last mousedown
  var down = new Date().getTime();
  var old_down = down;
  $('#data tbody').on('mousedown', function (e)
  {
    var time = new Date().getTime();
    if ((time - down) < 500 &&
        (disable_triple_click || (down - old_down) > 500))
    {
      old_down = down;
      down = time;
      e.preventDefault (); // just in case
      return false; // mandatory
    }
    old_down = down;
    down = time;
  });

  // Add a click handler for the delete row
  $('#delete').click( function()
  {
    // Display the modal
    confirmNumber = table.rows($('tr.selected')).data().length;
    if (confirmNumber > 1)
    {
      $("#modal-body-simple").hide ();
      $("#modal-body-multiple").show ();
    }
    else
    {
      $("#modal-body-simple").show ();
      $("#modal-body-multiple").hide ();
    }
    $(".modalConfirmAction_number").html (confirmNumber);
    $('#modalConfirmAction').modal({show:true});
    return false;
  });

  // Remove really after validation on confirmation modal
  $('#btn-delete').click( function()
  {
    // Don't do the autorefresh if there is multiple entries to delete except
    // for the last record
    //oldZoneAutoActivate = zoneAutoActivate;
    $('#btn-delete').html ('<img src="'+baseurl+
      'public/ico/wait-transparent.gif" alt="'+pleaseWait+'"/>');
    var selected = table.rows($('tr.selected')).data();
    /*if (selected.length > 1 && zoneAutoActivate == 1)
    {
      console.log ("Disable autoactivation");
      // Disable the autoactivation (if it was enabled)
      $.ajax ({
        url: baseurl+"rest/userprefs/autoactivate-"+zone+"/"+viewname,
        async: false,
        type: 'PUT',
        data: { 'value' : 0 },
      });
      zoneAutoActivate = 0;
    }*/
    var errors = 0;
    for (var i = 0; i < selected.length; i++)
    {
      console.log ("Delete record "+selected[i]["id"]);
      $.ajax ({
        url: baseurl+'rest/recordsWithoutZoneUpdate/'+selected[i]["id"],
        async: false,
        type: 'DELETE',
      })
      .done (function (msg)
      {
        table.rows($("tr.selected")).remove().draw();
        if (i == selected.length-1)
        {
          $('#delete').addClass('disabled');
          $('#modify').addClass('disabled');
          $('#editrecords').addClass('disabled');
          $('#modalConfirmAction').modal('hide');
          $('#btn-delete').html (msgDelete)
        }
      })
      .fail (function (jqXHR, textStatus)
      {
        alert ('Delete Failed : ' +  JSON.parse (jqXHR.responseText));
      });
    }
    if (errors === 0 && zoneAutoActivate == 1)
    {
      console.log ("Exporting the zone to servers");
      $.ajax ({
        url: baseurl+"rest/servers/export/"+zone+"/"+viewname,
        async: false,
        type: 'GET',
      })
      .fail (function (jqXHR, textStatus)
      {
        alert ('Exporting Failed : ' +  JSON.parse (jqXHR.responseText));
      });
      if (disabled === true)
      {
        console.log ("DO NOT Reloading the zone on servers : disabled zone");
      }
      else
      {
        console.log ("Reloading the zone on servers");
        $.ajax ({
          url: baseurl+"rest/servers/reload/"+zone+"/"+viewname,
          async: false,
          type: 'GET',
        })
        .fail (function (jqXHR, textStatus)
        {
          alert ('Reload Failed : ' +  JSON.parse (jqXHR.responseText));
        });
      }
    }
    //window.location=baseurl+'zone/'+zone+'/'+viewname;
  });

  // Add a click handler for the modify row
  $('#modify').click( function()
  {
    var selected = table.rows($('tr.selected')).data();
    if (selected.length !== 1)
    {
      console.log ("Can't modify multiple rows");
      return false;
    }
    var idToModify = selected[0]["id"];
   // alert (baseurl+zone+'/'+viewname+'/'+idToModify);
    if (zone == ".") zone = "dot";
    if (viewname == ".") viewname = "dot";
    window.location=baseurl+'zone/'+zone+'/'+viewname+'/'+idToModify;
  });
});
