$(document).ready(function()
{
  table.on('select', function (e, dt, type, indexes )
  {
    var rowData = table.rows(indexes).data().toArray();
    // Do not allow the "modify" and the "delete" button for RO zones
    if (rowData[0][7] == "RW")
    {
      $('#delete').removeClass('disabled');
      $('#modify').removeClass('disabled');
    }
    else
    {
      $('#delete').addClass('disabled');
      $('#modify').addClass('disabled');
    }
    $('#editrecords').removeClass('disabled');
  })
  .on('deselect', function ( e, dt, type, indexes ) {
    var rowData = table.rows(indexes).data().toArray();
    $('#delete').addClass('disabled');
    $('#modify').addClass('disabled');
    $('#editrecords').addClass('disabled');
  });

  // Go to Records if double-click on zone/view name
  $('#data tbody').on('dblclick', 'tr', function ()
  {
    var selectedRows = table.rows(this).data();
    if (selectedRows.length !== 1)
    {
      console.log ("Can't edit records for more than one zone");
      return false;
    }
    var zone = selectedRows[0][0];
    var view = selectedRows[0][1];
    if (zone == ".") zone = "dot";
    if (view == ".") view = "dot";
    window.location=baseurl+'zone/'+zone+'/'+view;
  });

  // Don't select the word when double-clicking
  var disable_triple_click = false;
  // set a global var to save the timestamp of the last mousedown
  var down = new Date().getTime();
  var old_down = down;
  $('#data tbody').on('mousedown', function (e)
  {
    var time = new Date().getTime();
    if ((time - down) < 500 && 
        (disable_triple_click || (down - old_down) > 500))
    {
      old_down = down;
      down = time;
      e.preventDefault (); // just in case
      return false; // mandatory
    }
    old_down = down;
    down = time;
  });

  // Add a click handler for the delete row
  $('#delete').click( function()
  {
    // Display the modal
    $('#modalConfirmAction').modal({show:true});
    return false;
  });

  // Remove really after validation on confirmation modal
  $('#btn-delete').click( function()
  {
    var selectedRows = table.rows($('tr.selected')).data();
    if (selectedRows.length !== 1)
    {
      console.log ("Can't delete more than one zone");
      return false;
    }
    var buttonText = $('#btn-delete').text ();
    $('#btn-delete').html ('<img src="'+baseurl+
      'public/ico/wait-transparent.gif" alt="'+pleaseWait+'"/>');
    var zone = selectedRows[0][0];
    var view = selectedRows[0][1];
    if (zone == ".") zone = "dot";
    if (view == ".") view = "dot";
    // Do the deletion on database by REST call
    $.ajax ({
      url: baseurl+'rest/zones/'+zone+'/'+view,
      type: 'DELETE',
    })
    .done (function (msg)
    {
      table.rows($('tr.selected')).remove().draw();
      $('#delete').addClass('disabled');
      $('#modify').addClass('disabled');
      $('#editrecords').addClass('disabled');
      $('#modalConfirmAction').modal('hide');
      $('#btn-delete').text (buttonText);
    })
    .fail (function (jqXHR, textStatus)
    {
      $('#modalConfirmAction').modal('hide');
      $('#btn-delete').text (buttonText);
      alert ('Delete Failed : ' +  JSON.parse (jqXHR.responseText));
    });
  });

  // Add a click handler for the modify row
  $('#modify').click( function()
  {
    var selectedRows = table.rows($('tr.selected')).data();
    if (selectedRows.length !== 1)
    {
      console.log ("Can't edit records for more than one zone");
      return false;
    }
    var zone = selectedRows[0][0];
    var view = selectedRows[0][1];
    if (zone == ".") zone = "dot";
    if (view == ".") view = "dot";
    window.location=baseurl+'zone/'+zone+'/'+view+'/edit';
  });

  // Add a click handler for the editrecords row
  $('#editrecords').click( function()
  {
    var selectedRows = table.rows($('tr.selected')).data();
    if (selectedRows.length !== 1)
    {
      console.log ("Can't edit records for more than one zone");
      return false;
    }
    var zone = selectedRows[0][0];
    var view = selectedRows[0][1];
    if (zone == ".") zone = "dot";
    if (view == ".") view = "dot";
    window.location=baseurl+'zone/'+zone+'/'+view;
  });
});
