/** Save the state of button to activate automatically a zone after a
    modification of a record */
$(document).ready(function()
{
  buttonTexts = $('#manual').text().split("/");

  // When clicking on Manual/Automatic button : change the state and record it
  // by AJAX on the server
  $('#manual').click (function () {
    if (zoneAutoActivate == 1)
      zoneAutoActivate=0;
    else
      zoneAutoActivate=1;

    // Save the state in the server
    if (zoneAutoActivate == zoneAutoActivateDefault)
    {
      // Same as the default one : remove it !
      $.ajax ({
        url: baseurl+"rest/userprefs/autoactivate-"+zone+"/"+viewname,
        type: 'DELETE',
      })
      .done (function(val) {
        refreshButtons ();
      })
      .fail (function (jqXHR, textStatus) {
        alert (JSON.parse (jqXHR.responseText));
      });
    }
    else
    {
      // Different than the default one : save it !
      $.ajax ({
        url: baseurl+"rest/userprefs/autoactivate-"+zone+"-"+viewname,
        type: "POST",
        data: { "key" : "autoactivate-"+zone+"/"+viewname,
                "value" : zoneAutoActivate },
      })
      .done (function(val) {
        refreshButtons ();
      })
      .fail (function (jqXHR, textStatus) {
        alert (JSON.parse (jqXHR.responseText));
      });
    }
  });

  // The function to change the state really
  function refreshButtons ()
  {
    if (zoneAutoActivate == 1)
    {
      // go in Automatic mode
      $('#manual').text(buttonTexts[1]);
      $('#manual').removeClass('active');
      $('#manual').addClass('btn-success');
      $('#manual').removeClass('btn-primary');
      $('#zoneexport').addClass('disabled');
      $('#serversreload').addClass('disabled');
    }
    else
    {
      // go in Manual mode
      $('#manual').text(buttonTexts[0]);
      $('#manual').addClass('active');
      $('#manual').addClass('btn-primary');
      $('#manual').removeClass('btn-success');
      $('#zoneexport').removeClass('disabled');
      if (disabled == false)
        $('#serversreload').removeClass('disabled');
      else
        $('#serversreload').addClass('disabled');
    }
  }
  refreshButtons ();
});
