<?php

/**
 * DomFramework - Tests
 * @package domframework
 * @author Dominique Fournier <dominique@fournier38.fr>
 * @license BSD
 */

namespace Domframework\Tests;

use Domframework\Outputhtml;

/**
 * Test the Outputhtml.php file
 */
class OutputhtmlTest extends \PHPUnit_Framework_TestCase
{
    /**
     * Entry null
     */
    public function testlayout1()
    {
        $this->expectOutputRegex("#<body>\s+</body>#");
        $output = new Outputhtml();
        $res = $output->out("");
    }

    public function testlayout2()
    {
        $this->expectOutputRegex("#data#");
        $output = new Outputhtml();
        $res = $output->out("data");
    }

    public function testlayout3()
    {
        $this->expectOutputRegex("#data#");
        $output = new Outputhtml();
        $res = $output->out("data", "title");
    }

    public function testlayout4()
    {
        $this->expectOutputString("<!DOCTYPE html PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\" \"http://www.w3.org/TR/REC-html40/loose.dtd\">
<html>
  <body>
    Text
" . "    " . "
  </body>
</html>\n");
        $output = new Outputhtml();
        $output->out("data", "title", false, false, "Tests/layout.html");
    }

    public function testlayout5()
    {
        $this->expectOutputString("<!DOCTYPE html PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\" \"http://www.w3.org/TR/REC-html40/loose.dtd\">
<html>
  <body>
    Text
    VARIABLE
  </body>
</html>\n");
        $output = new Outputhtml();
        $variable = ["var" => "VARIABLE"];
        $output->out(
            "data",
            "title",
            false,
            false,
            "Tests/layout.html",
            null,
            $variable
        );
    }
}
