<?php

/**
 * DomFramework
 * @package domframework
 * @author Dominique Fournier <dominique@fournier38.fr>
 * @license BSD
 */

namespace Domframework;

class StateMachineTransition
{
    private $fromStateName;
    private $toStateName;
    private $methodName;

    public function __construct(string $fromStateName, string $toStateName, callable $methodName)
    {
        $this->fromStateName = $fromStateName;
        $this->toStateName = $toStateName;
        $this->methodName = $methodName;
    }

    public function getFromStateName(): string
    {
        return $this->fromStateName;
    }

    public function getToStateName(): string
    {
        return $this->toStateName;
    }

    public function getMethodName(): callable
    {
        return $this->methodName;
    }

    public function run()
    {
        return call_user_func($this->methodName);
    }
}
